Orbi WiFi 7 RBE973
Reply

Re: Newer installer than 2.22 for Router AC1900 on a MAC

PackmanAl
Aspirant

Newer installer than 2.22 for Router AC1900 on a MAC

I am getting a new modem tomorrow and if I need to reset up the router, I am getting a message that my installer 2.22 is not compatible with High Sierra.  Is there a newer installer and where do I find it?  Not sure what firmware I have and I do not remember updating it.  Thanks

Model: R6800|Nighthawk AC1900 Smart WiFi Router
Message 1 of 4

Accepted Solutions
IrvSp
Master

Re: Newer installer than 2.22 for Router AC1900 on a MAC


@PackmanAl wrote:

I am getting a new modem tomorrow and if I need to reset up the router, I am getting a message that my installer 2.22 is not compatible with High Sierra.  Is there a newer installer and where do I find it?  Not sure what firmware I have and I do not remember updating it.  Thanks


Normally you would not need to do anything to the router but power it down, install the new modem, power it up and wait until it is completely up, and then power up the router.

 

That said, I don't understand the 'installer' issue. Normally you'd use a Browser to enter the router's Genie to do setup?

 

What are you using (program, wireless app, ????) and presenting that error message?

View solution in original post

Message 3 of 4

All Replies
antinode
Guru

Re: Newer installer than 2.22 for Router AC1900 on a MAC

> Newer installer than 2.22 for Router AC1900 on a MAC

   What does your "my installer 2.22" install?

   "AC1900" is a speed, not a model number.  Ever helpful, Netgear
product packaging emphasizes speeds like "ACxxxx", but that's not the
model identifier.  Look at the product label.  I'll assume that this is
accurate:

> Model: R6800|Nighthawk AC1900 Smart WiFi Router

And it's a "Mac", not a "MAC".

      https://en.wikipedia.org/wiki/Macintosh
      https://en.wikipedia.org/wiki/Medium_access_control

> I am getting a new modem tomorrow [...]

   What type(s) of modems are these?

> Not sure what firmware I have [...]

   Using a web browser to manage the router, rather than some
(uninstallable) app, avoids many potential problems.  Visit
http://netgear.com/support , put in your (actual) model number,
and look for Documentation.  Get the User Manual.  Read.

Message 2 of 4
IrvSp
Master

Re: Newer installer than 2.22 for Router AC1900 on a MAC


@PackmanAl wrote:

I am getting a new modem tomorrow and if I need to reset up the router, I am getting a message that my installer 2.22 is not compatible with High Sierra.  Is there a newer installer and where do I find it?  Not sure what firmware I have and I do not remember updating it.  Thanks


Normally you would not need to do anything to the router but power it down, install the new modem, power it up and wait until it is completely up, and then power up the router.

 

That said, I don't understand the 'installer' issue. Normally you'd use a Browser to enter the router's Genie to do setup?

 

What are you using (program, wireless app, ????) and presenting that error message?

Message 3 of 4
PackmanAl
Aspirant

Re: Newer installer than 2.22 for Router AC1900 on a MAC

That is exactly what I did and all worked.  I did find the original Installer download and thought I might have to re-enter the modem password.  Did not so all is well.  Thanks

Message 4 of 4
Top Contributors
Discussion stats
  • 3 replies
  • 614 views
  • 2 kudos
  • 3 in conversation
Announcements

Orbi WiFi 7